body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a,
button {
    text-decoration: none;
    color: #262626;
    font-family: sans-serif;
    font-size: 40px;
    border: 5px solid #5500FF;
    padding: 40px 80px;
    position: relative;
    transition: color 800ms 200ms;
    background: transparent;
    overflow: hidden;
}

a:hover,
button:hover {
    color: #FFF;
}

a:before,
button:before {
    content: '';
    height: 100%;
    width: 100%;
    background: #002299;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -1;
    transform: rotate(90deg);
    transform-origin: top left;
    transition: transform 1s;
}

a:hover:before,
button:hover:before {
    transform: rotate(0deg);
}